package com.xkrs.model.vo;

import java.io.Serializable;

/**
 * FileServiceResDetailVo
 * @author tajochen
 */
public class FileServiceResDetailVo implements Serializable {

    /**
     * 域名
     */
    String domain;

    /**
     * 信息摘要
     */
    String md5;

    /**
     * 上传时间戳
     */
    Long mtime;

    /**
     * 文件路径
     */
    String path;

    /**
     * 返回信息代码
     */
    int retcode;

    /**
     * 返回信息文本
     */
    String retmsg;

    /**
     * 场景
     */
    String scene;

    /**
     * 场景集合
     */
    String scenes;

    /**
     * 文件大小
     */
    long size;

    /**
     * 文件路径
     */
    String src;

    /**
     * 文件完整链接
     */
    String url;

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Long getMtime() {
        return mtime;
    }

    public void setMtime(Long mtime) {
        this.mtime = mtime;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public int getRetcode() {
        return retcode;
    }

    public void setRetcode(int retcode) {
        this.retcode = retcode;
    }

    public String getRetmsg() {
        return retmsg;
    }

    public void setRetmsg(String retmsg) {
        this.retmsg = retmsg;
    }

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    public String getScenes() {
        return scenes;
    }

    public void setScenes(String scenes) {
        this.scenes = scenes;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "FileServiceResVo{" +
                "domain='" + domain + '\'' +
                ", md5='" + md5 + '\'' +
                ", mtime=" + mtime +
                ", path='" + path + '\'' +
                ", retcode=" + retcode +
                ", retmsg='" + retmsg + '\'' +
                ", scene='" + scene + '\'' +
                ", scenes='" + scenes + '\'' +
                ", size=" + size +
                ", src='" + src + '\'' +
                ", url='" + url + '\'' +
                '}';
    }
}
